name: hoopl
version: 3.10.2.1
id: hoopl-3.10.2.1
key: hoopl-3.10.2.1
license: BSD3
maintainer: nr@cs.tufts.edu, andreas.voellmy@gmail.com, email@ningwang.org
homepage: http://ghc.cs.tufts.edu/hoopl/
synopsis: A library to support dataflow analysis and optimization
description:
    Higher-order optimization library
    .
    See /Norman Ramsey, Joao Dias, and Simon Peyton Jones./
    <http://research.microsoft.com/en-us/um/people/simonpj/Papers/c--/hoopl-haskell10.pdf "Hoopl: A Modular, Reusable Library for Dataflow Analysis and Transformation"> /(2010)/ for more details.
category: Compilers/Interpreters
author: Norman Ramsey, Joao Dias, Simon Marlow and Simon Peyton Jones
exposed: True
exposed-modules:
    Compiler.Hoopl Compiler.Hoopl.Internals Compiler.Hoopl.Wrappers
    Compiler.Hoopl.Passes.Dominator Compiler.Hoopl.Passes.DList
hidden-modules: Compiler.Hoopl.Checkpoint
                Compiler.Hoopl.Collections Compiler.Hoopl.Combinators
                Compiler.Hoopl.Dataflow Compiler.Hoopl.Debug Compiler.Hoopl.Block
                Compiler.Hoopl.Graph Compiler.Hoopl.Label Compiler.Hoopl.MkGraph
                Compiler.Hoopl.Fuel Compiler.Hoopl.Pointed Compiler.Hoopl.Shape
                Compiler.Hoopl.Show Compiler.Hoopl.Unique Compiler.Hoopl.XUtil
abi: 5afd8ecccc7b8e6292d3c8ef3c651263
trusted: False
import-dirs: /opt/ghc-8.0.1/lib/ghc-8.0.1/hoopl-3.10.2.1
library-dirs: /opt/ghc-8.0.1/lib/ghc-8.0.1/hoopl-3.10.2.1
data-dir: /opt/ghc-8.0.1/share/x86_64-linux-ghc-8.0.1/hoopl-3.10.2.1
hs-libraries: HShoopl-3.10.2.1
depends:
    base-4.9.0.0 containers-0.5.7.1
haddock-interfaces: /opt/ghc-8.0.1/share/doc/ghc-8.0.1/html/libraries/hoopl-3.10.2.1/hoopl.haddock
haddock-html: /opt/ghc-8.0.1/share/doc/ghc-8.0.1/html/libraries/hoopl-3.10.2.1
